> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Access Packages Admin



## OpenAPI

````yaml /openapi.json patch /admin/api/access-packages/{packageId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/access-packages/{packageId}:
    patch:
      tags:
        - Access Packages Admin
      summary: Update Access Packages Admin
      operationId: AccessPackagesAdminController_update
      parameters:
        - name: packageId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccessPackageAdminDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    UpdateAccessPackageAdminDto:
      type: object
      properties:
        displayName:
          type: string
          minLength: 1
          maxLength: 120
        description:
          type: string
          maxLength: 500
        licensedFeatureKeys:
          type: array
          items:
            type: string
            enum:
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - collaboration
              - ai_assistant
        offeredByDefault:
          type: boolean
        monthlySeatPriceUsd:
          anyOf:
            - type: string
              pattern: ^\d{1,8}(?:\.\d{1,2})?$
            - type: 'null'
        sortOrder:
          type: integer
          minimum: 1
          maximum: 1000
        status:
          type: string
          enum:
            - draft
            - active
            - retired
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - displayName
        - description
        - licensedFeatureKeys
        - offeredByDefault
        - monthlySeatPriceUsd
        - sortOrder
        - status
        - expectedVersion
      additionalProperties: false

````